﻿Imports System.Data
Imports Infragistics.Web.UI.Framework.Data
Imports Infragistics.Web.UI.GridControls
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        whdg.DataSource = populateDataSet()
        whdg.DataBind()
    End Sub
    Private Function populateDataSet() As DataSet

        Dim ds As New DataSet()
        Dim Parent As New DataTable()
        Parent.TableName = "Parent"
        Dim Child As New DataTable()
        Child.TableName = "Child"


        Dim col As DataColumn() = New DataColumn(0) {}

        Parent.Columns.Add("ID")
        Parent.Columns.Add("Name")


        col(0) = Parent.Columns("ID")
        Parent.PrimaryKey = col

        Dim chcol As DataColumn() = New DataColumn(0) {}

        Child.Columns.Add("Id")
        Child.Columns.Add("Address")
        Child.Columns.Add("Date")

        chcol(0) = Child.Columns("Id")
        Child.PrimaryKey = chcol

        Dim row As DataRow

        For i As Integer = 0 To 9
            row = Parent.NewRow()
            row.SetField(Of Integer)("ID", i)
            row.SetField(Of String)("Name", "Name " + i.ToString)
            Parent.Rows.Add(row)
        Next

        

        For j As Integer = 0 To 9
            row = Child.NewRow()
            row.SetField(Of Integer)("Id", j)
            row.SetField(Of String)("Address", "Address " + j.ToString)
            row.SetField(Of DateTime)("Date", DateTime.Today)
            Child.Rows.Add(row)
        Next

        ds.Tables.Add(Parent)
        ds.Tables.Add(Child)

        ds.Relations.Add("IDRelation", Parent.Columns("ID"), Child.Columns("Id"))

        Return ds
    End Function
    Dim rows As New List(Of ContainerGridRecord)
    Protected Sub whdg_RowUpdating(sender As Object, e As RowUpdatingEventArgs) Handles whdg.RowUpdating

        If DirectCast(e.Row, ContainerGridRecord).Level = 1 Then
            rows.Add(e.Row)
            Dim vals = e.Values.ToString()
        End If
    End Sub
End Class
